Grant a person access to content or a bundle (staff)
POST /api/entitlements. Grant a person access to content or a bundle (staff). Headless LMS Entitlements API reference.
Staff only (owner, admin, instructor). Name exactly one of contentId and bundleId. A bundle grant covers whatever the bundle holds, now and later.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/entitlements" \ -H "Content-Type: application/json" \ -d '{ "orgUserId": "string", "expiresAt": "2019-08-24T14:15:22Z" }'{ "orgId": "string", "id": "string", "orgUserId": "string", "bundleId": "string", "contentId": "string", "status": "active", "source": "string", "grantedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}